﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DropDownList_Angular_MVC_Core.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace DropDownList_Angular_MVC_Core
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public JsonResult AjaxMethod()
        {
            List<SelectListItem> customers = (from customer in this.Context.Customers.Take(10)
                                              select new SelectListItem
                                              {
                                                  Value = customer.CustomerID,
                                                  Text = customer.ContactName
                                              }).ToList();
            return Json(customers);
        }
    }
}